package cl.homelogic.platform.designsystem.foundations.fonts.manrope

import androidx.compose.runtime.Composable
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import cl.homelogic.platform.designsystem.resources.Manrope_Bold
import cl.homelogic.platform.designsystem.resources.Manrope_ExtraBold
import cl.homelogic.platform.designsystem.resources.Manrope_ExtraLight
import cl.homelogic.platform.designsystem.resources.Manrope_Light
import cl.homelogic.platform.designsystem.resources.Manrope_Medium
import cl.homelogic.platform.designsystem.resources.Manrope_Regular
import cl.homelogic.platform.designsystem.resources.Manrope_SemiBold
import cl.homelogic.platform.designsystem.resources.Res
import org.jetbrains.compose.resources.Font

@Composable
fun ManropeFontFamily() =
    FontFamily(
        Font(Res.font.Manrope_ExtraLight, weight = FontWeight.ExtraLight),
        Font(Res.font.Manrope_Light, weight = FontWeight.Light),
        Font(Res.font.Manrope_Regular, weight = FontWeight.Normal),
        Font(Res.font.Manrope_Medium, weight = FontWeight.Medium),
        Font(Res.font.Manrope_SemiBold, weight = FontWeight.SemiBold),
        Font(Res.font.Manrope_Bold, weight = FontWeight.Bold),
        Font(Res.font.Manrope_ExtraBold, weight = FontWeight.ExtraBold),
    )
